# -*- encoding: utf-8 -*-
# stub: devise-token_authenticatable 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "devise-token_authenticatable"
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Sebastian Oelke"]
  s.date = "2016-07-09"
  s.description = "This gem provides the extracted Token Authenticatable module of devise.\n                          It enables the user to sign in via an authentication token. This token\n                          can be given via a query string or HTTP Basic Authentication."
  s.email = ["dev@soelke.de"]
  s.files = ["Gemfile", "LICENSE", "README.md", "Rakefile", "devise-token_authenticatable.gemspec", "lib/devise-token_authenticatable.rb", "lib/devise/token_authenticatable.rb", "lib/devise/token_authenticatable/model.rb", "lib/devise/token_authenticatable/strategy.rb", "lib/devise/token_authenticatable/version.rb", "spec/factories/admin.rb", "spec/factories/user.rb", "spec/models/devise/token_authenticatable/model_spec.rb", "spec/requests/devise/token_authenticatable/strategy_spec.rb", "spec/spec_helper.rb", "spec/support/helpers.rb", "spec/support/integration.rb", "spec/support/rails_app/Rakefile", "spec/support/rails_app/app/controllers/admins/sessions_controller.rb", "spec/support/rails_app/app/controllers/admins_controller.rb", "spec/support/rails_app/app/controllers/application_controller.rb", "spec/support/rails_app/app/controllers/home_controller.rb", "spec/support/rails_app/app/controllers/publisher/registrations_controller.rb", "spec/support/rails_app/app/controllers/publisher/sessions_controller.rb", "spec/support/rails_app/app/controllers/users_controller.rb", "spec/support/rails_app/app/mailers/users/mailer.rb", "spec/support/rails_app/app/models/admin.rb", "spec/support/rails_app/app/models/user.rb", "spec/support/rails_app/app/views/users/index.html.erb", "spec/support/rails_app/config.ru", "spec/support/rails_app/config/application.rb", "spec/support/rails_app/config/boot.rb", "spec/support/rails_app/config/database.yml", "spec/support/rails_app/config/environment.rb", "spec/support/rails_app/config/initializers/backtrace_silencers.rb", "spec/support/rails_app/config/initializers/devise.rb", "spec/support/rails_app/config/initializers/inflections.rb", "spec/support/rails_app/config/initializers/secret_token.rb", "spec/support/rails_app/config/initializers/session_store.rb", "spec/support/rails_app/config/routes.rb", "spec/support/rails_app/db/migrate/20100401102949_create_tables.rb", "spec/support/rails_app/db/schema.rb", "spec/support/rails_app/public/404.html", "spec/support/rails_app/public/422.html", "spec/support/rails_app/public/500.html", "spec/support/rails_app/public/favicon.ico", "spec/support/session_helper.rb", "spec/token_authenticatable_spec.rb"]
  s.homepage = "https://github.com/baschtl/devise-token_authenticatable"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "Provides authentication based on an authentication token for devise 3.2 and up."
  s.test_files = ["spec/factories/admin.rb", "spec/factories/user.rb", "spec/models/devise/token_authenticatable/model_spec.rb", "spec/requests/devise/token_authenticatable/strategy_spec.rb", "spec/spec_helper.rb", "spec/support/helpers.rb", "spec/support/integration.rb", "spec/support/rails_app/Rakefile", "spec/support/rails_app/app/controllers/admins/sessions_controller.rb", "spec/support/rails_app/app/controllers/admins_controller.rb", "spec/support/rails_app/app/controllers/application_controller.rb", "spec/support/rails_app/app/controllers/home_controller.rb", "spec/support/rails_app/app/controllers/publisher/registrations_controller.rb", "spec/support/rails_app/app/controllers/publisher/sessions_controller.rb", "spec/support/rails_app/app/controllers/users_controller.rb", "spec/support/rails_app/app/mailers/users/mailer.rb", "spec/support/rails_app/app/models/admin.rb", "spec/support/rails_app/app/models/user.rb", "spec/support/rails_app/app/views/users/index.html.erb", "spec/support/rails_app/config.ru", "spec/support/rails_app/config/application.rb", "spec/support/rails_app/config/boot.rb", "spec/support/rails_app/config/database.yml", "spec/support/rails_app/config/environment.rb", "spec/support/rails_app/config/initializers/backtrace_silencers.rb", "spec/support/rails_app/config/initializers/devise.rb", "spec/support/rails_app/config/initializers/inflections.rb", "spec/support/rails_app/config/initializers/secret_token.rb", "spec/support/rails_app/config/initializers/session_store.rb", "spec/support/rails_app/config/routes.rb", "spec/support/rails_app/db/migrate/20100401102949_create_tables.rb", "spec/support/rails_app/db/schema.rb", "spec/support/rails_app/public/404.html", "spec/support/rails_app/public/422.html", "spec/support/rails_app/public/500.html", "spec/support/rails_app/public/favicon.ico", "spec/support/session_helper.rb", "spec/token_authenticatable_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<devise>, ["< 4.2.0", ">= 4.0.0"])
      s.add_development_dependency(%q<rails>, ["~> 4.2"])
      s.add_development_dependency(%q<rspec-rails>, ["~> 3.0"])
      s.add_development_dependency(%q<pry>, ["~> 0.10"])
      s.add_development_dependency(%q<factory_girl_rails>, ["~> 4.4"])
      s.add_development_dependency(%q<timecop>, ["~> 0.7"])
      s.add_development_dependency(%q<bundler>, ["~> 1.11"])
      s.add_development_dependency(%q<sqlite3>, ["~> 1.3"])
    else
      s.add_dependency(%q<devise>, ["< 4.2.0", ">= 4.0.0"])
      s.add_dependency(%q<rails>, ["~> 4.2"])
      s.add_dependency(%q<rspec-rails>, ["~> 3.0"])
      s.add_dependency(%q<pry>, ["~> 0.10"])
      s.add_dependency(%q<factory_girl_rails>, ["~> 4.4"])
      s.add_dependency(%q<timecop>, ["~> 0.7"])
      s.add_dependency(%q<bundler>, ["~> 1.11"])
      s.add_dependency(%q<sqlite3>, ["~> 1.3"])
    end
  else
    s.add_dependency(%q<devise>, ["< 4.2.0", ">= 4.0.0"])
    s.add_dependency(%q<rails>, ["~> 4.2"])
    s.add_dependency(%q<rspec-rails>, ["~> 3.0"])
    s.add_dependency(%q<pry>, ["~> 0.10"])
    s.add_dependency(%q<factory_girl_rails>, ["~> 4.4"])
    s.add_dependency(%q<timecop>, ["~> 0.7"])
    s.add_dependency(%q<bundler>, ["~> 1.11"])
    s.add_dependency(%q<sqlite3>, ["~> 1.3"])
  end
end
